Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Interface IReport

All Known Subinterfaces:
  IDeliveryReport, IExchangeNonDeliveryReport, IExchangeReadReport, INonDeliveryReport, IReadReport

public interface IReport

The `IReport` interface represents messages that are used to report on events in the mail subsystem, such as `INonDeliveryReport` notices.

Field Summary
`static int` | `KEYID_ORIGINAL_SUBJECT` The `int` ID for the `ORIGINAL_SUBJECT` key.
`static Key` | `ORIGINAL_SUBJECT` Key that represents the subject of the message represented by this report.

Method Summary
`java.lang.String` | `getOriginalSubject()` Gets the subject of the message that is represented by the report.

Field Detail

### KEYID_ORIGINAL_SUBJECT

    public static final int KEYID_ORIGINAL_SUBJECT

  The `int` ID for the `ORIGINAL_SUBJECT` key.

  See Also:
    Constant Field Values

### ORIGINAL_SUBJECT

    public static final Key ORIGINAL_SUBJECT

  Key that represents the subject of the message represented by this report.

Method Detail

### getOriginalSubject

    public java.lang.String getOriginalSubject()
                                        throws CollaborationException

  Gets the subject of the message that is represented by the report. For example, if this report is a non-delivery report with the subject of , "Undeliverable: Test Message", then the original message's subject would most likely be, "Test Message."

  Returns:
    the original subject of the message represented by this report.
  Throws:
    `CollaborationException` - if there was a problem retrieving the the original subject.
  See Also:
    `ORIGINAL_SUBJECT`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.